ru.bitel.bgbilling.server.bean

## Class TransactionUtils

- java.lang.Object
- - ru.bitel.bgbilling.server.bean.TransactionUtils

-     public class TransactionUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addPaymentWithCommissionInContract(java.sql.Connection con, BGAbstractTransaction transaction, int paymentTypeId, java.lang.String paymentComment, int commissionType, int commissionTypeId, java.math.BigDecimal commissionPercent, java.lang.String commissionComment)`
    `static void` | `addPaymentWithoutCommissionInContract(java.sql.Connection con, BGAbstractTransaction transaction, int paymentTypeId, java.lang.String paymentComment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionUtils

          public TransactionUtils()

  - ### Method Detail

    - #### addPaymentWithCommissionInContract

          public static void addPaymentWithCommissionInContract(java.sql.Connection con,
                                                                BGAbstractTransaction transaction,
                                                                int paymentTypeId,
                                                                java.lang.String paymentComment,
                                                                int commissionType,
                                                                int commissionTypeId,
                                                                java.math.BigDecimal commissionPercent,
                                                                java.lang.String commissionComment)
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addPaymentWithoutCommissionInContract

          public static void addPaymentWithoutCommissionInContract(java.sql.Connection con,
                                                                   BGAbstractTransaction transaction,
                                                                   int paymentTypeId,
                                                                   java.lang.String paymentComment)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`